
<div class="modal-header">
  <h4 class="modal-title">{{ tTituloModal }}</h4>
  <button class="close" type="button" aria-label="Close" (click)="activeModal.dismiss({'Resultado' : 'N', 'Pedido' : tPedidoModal})"><span aria-hidden="true">&times;</span></button>
</div>
<div class="modal-body">
  <div class="row">
    <div class="datos-cliente">
      <div class="form-row">
        <div class="col-12 text-center"><img class="datos-cliente--imagen" [Gravatar]="tClienteModal.Email" alt="Usario"/></div>
      </div>
      <div class="form-row pt-2">
        <div class="col-12 text-center">
          <h6>[{{ tClienteModal.Codcliente }}] - {{ tClienteModal.Descripcion }}</h6>
        </div>
      </div>
      <div class="form-row pt-2">
        <div class="col-12 text-center">
          <h6>[{{ tPedidoModal.Codpedido }}] - {{ tPedidoModal.Tipo }}</h6>
        </div>
      </div>
      <div class="datos-cliente--division"><span></span></div>
      <div class="form-row pt-1">
        <div class="col-12">
          <div class="Tarjeta">
            <div class="Tarjeta--Cuerpo" Borde="success">
              <div class="Tarjeta--Cuerpo-Fila">
                <div class="col-12">
                  <div class="Tarjeta--Texto"><span class="Tarjeta--Texto-Titulo" Color="success">Crédito</span></div>
                </div>
              </div>
              <div class="Tarjeta--Cuerpo-Fila" Alineacion="center">
                <div class="col-auto">
                  <div class="fas fa-calculator fa-2x text-gray-300"></div>
                </div>
                <div class="col ml-4">
                  <div class="Tarjeta--Texto"><span class="Tarjeta--Texto-Titulo" Color="success">Limite:</span><span class="Tarjeta--Texto-Contenido">{{ tClienteModal.Limite_credito | number:'0.1-2' }}</span></div>
                  <div class="Tarjeta--Texto"><span class="Tarjeta--Texto-Titulo" Color="success">Usado:</span><span class="Tarjeta--Texto-Contenido">{{ tClienteModal.Credito_usado | number:'0.1-2' }}</span></div>
                  <div class="Tarjeta--Separador"></div>
                  <div class="Tarjeta--Texto"><span class="Tarjeta--Texto-Titulo" Color="success">Disponible:</span><span class="Tarjeta--Texto-Contenido">{{ tClienteModal.Limite_credito - tClienteModal.Credito_usado | number:'0.1-2' }}</span></div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="form-row pt-1">
        <div class="col-12">
          <div class="Tarjeta">
            <div class="Tarjeta--Cuerpo" Borde="secondary">
              <div class="Tarjeta--Cuerpo-Fila">
                <div class="col-12">
                  <div class="Tarjeta--Texto"><span class="Tarjeta--Texto-Titulo" Color="secondary">Facturas a credito</span></div>
                </div>
              </div>
              <div class="Tarjeta--Cuerpo-Fila" Alineacion="center">
                <div class="col-auto">
                  <div class="fas fa-calculator fa-2x text-gray-300"></div>
                </div>
                <div class="col ml-4">
                  <div class="Tarjeta--Texto"><span class="Tarjeta--Texto-Titulo" Color="secondary">Limite:</span><span class="Tarjeta--Texto-Contenido">{{ tClienteModal.Limite_facturas_credito }}</span></div>
                  <div class="Tarjeta--Texto"><span class="Tarjeta--Texto-Titulo" Color="secondary">Activas:</span><span class="Tarjeta--Texto-Contenido">{{ tClienteModal.Facturas_credito_activas }}</span></div>
                  <div class="Tarjeta--Separador"></div>
                  <div class="Tarjeta--Texto"><span class="Tarjeta--Texto-Titulo" Color="secondary">Disponible:</span><span class="Tarjeta--Texto-Contenido">{{ tClienteModal.Limite_facturas_credito - tClienteModal.Facturas_credito_activas }}</span></div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="form-row pt-1">
        <div class="col-12">
          <div class="Tarjeta">
            <div class="Tarjeta--Cuerpo" Borde="danger">
              <div class="Tarjeta--Cuerpo-Fila">
                <div class="col-12">
                  <div class="Tarjeta--Texto"><span class="Tarjeta--Texto-Titulo" Color="danger">Facturas vencidas</span></div>
                </div>
              </div>
              <div class="Tarjeta--Cuerpo-Fila" Alineacion="center">
                <div class="col-auto">
                  <div class="fas fa-calculator fa-2x text-gray-300"></div>
                </div>
                <div class="col ml-4">
                  <div class="Tarjeta--Texto"><span class="Tarjeta--Texto-Titulo" Color="danger">Limite:</span><span class="Tarjeta--Texto-Contenido">{{ tClienteModal.Limite_facturas_vencidas }}</span></div>
                  <div class="Tarjeta--Texto"><span class="Tarjeta--Texto-Titulo" Color="danger">Vencidas:</span><span class="Tarjeta--Texto-Contenido">{{ tClienteModal.Facturas_credito_vencidas }}</span></div>
                  <div class="Tarjeta--Separador"></div>
                  <div class="Tarjeta--Texto"><span class="Tarjeta--Texto-Titulo" Color="danger">Disponible:</span><span class="Tarjeta--Texto-Contenido">{{ tClienteModal.Limite_facturas_vencidas - tClienteModal.Facturas_credito_vencidas }}</span></div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="datos-pago">
      <div class="form-row">
        <div class="form-group col-12 bg-light rounded">
          <ul class="nav mt-1 mb-1">
            <li class="nav-item">
              <button class="btn btn-link" type="button" (click)="FacturarContado()"><i class="fas fa-file-alt mr-2"></i><span class="text-xs">Contado</span></button>
            </li>
            <li class="nav-item">
              <button class="btn btn-link" type="button" (click)="FacturarCredito()"><i class="fas fa-file-alt mr-2"></i><span class="text-xs">Crédito</span></button>
            </li>
          </ul>
        </div>
      </div>
      <div class="form-row" *ngIf="tFacturaContado === true">
        <div class="form-group col-12">
          <div class="form-row">
            <div class="form-group col-12 col-lg-5">
              <div class="ControlInput">
                <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-money-check-alt"></i></span></div>
                <select class="ControlInput--Select" [(ngModel)]="tFormaPagoActual" (change)="SeleccionarFormaPago()" size-select="sm" id="ddlTipo">
                  <option *ngFor="let tForma of tFormasPagos" [ngValue]="tForma"> [ {{ tForma.Codformapago }} ] {{ tForma.Descripcion }}</option>
                </select>
              </div>
            </div>
            <div class="form-group col-12 col-lg-5">
              <div class="ControlInput">
                <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-coins"></i></span></div>
                <input class="ControlInput--Input" placeholder="Monto" SoloNumeros="decimal" min="0" [(ngModel)]="tVentaFormaPagoActual.Monto" [disabled]="BloquearControlMonto()" size="sm"/>
              </div>
            </div>
            <div class="form-group col-12 col-lg-2">
              <button class="btn btn-sm btn-primary btn-icon-split" type="button" (click)="AgregarFormaPago()"><span class="icon text-white-50"><i class="fas fa-cash-register"></i></span><span class="text">Agregar</span></button>
            </div>
          </div>
          <div class="form-row">
            <div class="form-group col-12">
              <ul class="nav nav-tabs" role="tablist">
                <li class="nav-item"><a class="nav-link active" data-toggle="tab" href="#SelReferencias" role="tab" aria-controls="SelReferencias" aria-selected="true" id="SelReferencias-tab">Referencias</a></li>
                <li class="nav-item"><a class="nav-link" data-toggle="tab" href="#SelTasa" role="tab" aria-controls="SelTasa" aria-selected="true" id="SelTasa-tab">Tasa</a></li>
              </ul>
            </div>
          </div>
          <div class="form-row">
            <div class="form-group col-12">
              <div class="tab-content" id="mvDatos">
                <div class="tab-pane fade show active" role="tabpanel" aria-labelledby="SelReferencias-tab" id="SelReferencias">
                  <ng-container *ngIf="tFormaPagoActual.Referencia === 'S'">
                    <div class="form-row">
                      <div class="form-group col-12">
                        <label class="form-label h6">Referencia</label>
                        <div class="ControlInput">
                          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-barcode"></i></span></div>
                          <input class="ControlInput--Input" type="text" [(ngModel)]="tVentaFormaPagoActual.FormaPagoReferencia.Referencia" size="sm"/>
                        </div>
                      </div>
                    </div>
                  </ng-container>
                  <ng-container *ngIf="tFormaPagoActual.Referencia === 'N'">
                    <div class="form-row">
                      <div class="form-group col-12">
                        <h6 class="card-title">No necesita referencia</h6>
                      </div>
                    </div>
                  </ng-container>
                </div>
                <div class="tab-pane fade" role="tabpanel" aria-labelledby="SelTasa-tab" id="SelTasa">
                  <ng-container *ngIf="tFormaPagoActual.Tasa === 'S'">
                    <div class="form-row">
                      <div class="form-group col-4">
                        <div class="ControlInput">
                          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-dollar-sign"></i></span></div>
                          <select class="ControlInput--Select" [(ngModel)]="tTasaActual" size-select="sm" id="ddlTipo">
                            <option *ngFor="let tTasasFor of tTasas" [ngValue]="tTasasFor"> [ {{ tTasasFor.Codmonedaorigen }} ] {{ tTasasFor.Descripcion_origen }}</option>
                          </select>
                        </div>
                      </div>
                      <div class="form-group col-4">
                        <div class="ControlInput">
                          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-coins"></i></span></div>
                          <label class="ControlInput--Label" size-label="sm"> {{ tTasaActual.Tasa | currency : tEmpresaActual.Simbolo }}</label>
                        </div>
                      </div>
                      <div class="form-group col-4">
                        <div class="ControlInput">
                          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-coins"></i></span></div>
                          <input class="ControlInput--Input" placeholder="Monto" SoloNumeros="decimal" min="0" [(ngModel)]="tVentaFormaPagoActual.FormaPagoTasa.Monto" (ngModelChange)="CalcularCambio()" size="sm"/>
                        </div>
                      </div>
                    </div>
                  </ng-container>
                  <ng-container *ngIf="tFormaPagoActual.Tasa === 'N'">
                    <div class="form-row">
                      <div class="form-group col-12">
                        <h6 class="card-title">No necesita tasa</h6>
                      </div>
                    </div>
                  </ng-container>
                </div>
              </div>
            </div>
          </div>
          <div class="form-row">
            <div class="form-group col-12 col-lg-6">           
              <div class="form-row">
                <div class="form-group col-12">
                  <div class="table-responsive">
                    <table class="table table-sm table-hover table-striped">
                      <thead>
                        <tr>
                          <th></th>
                          <th>
                            <h6><small class="font-weight-bold">Forma de pago</small></h6>
                          </th>
                          <th>
                            <h6><small class="font-weight-bold">Monto</small></h6>
                          </th>
                        </tr>
                      </thead>
                      <tbody>
                        <tr class="mt-2 mb-2" *ngFor="let tFormaPago of tVentaActual.LFormasPagos | slice: (tPaginaFormasPagos-1) * tTamanoPagFormasPagos : (tPaginaFormasPagos-1) * tTamanoPagFormasPagos + tTamanoPagFormasPagos ; let jv = index" (mouseover)="SeleccionarVentaPago(tFormaPago)">
                          <th>
                            <button class="btn btn-sm btn-danger mr-1" type="button" (click)="EliminarFormaPago(jv)"><i class="fas fa-trash-alt"></i></button>
                          </th>
                          <td>
                            <h6 class="text-nowrap">{{ ObtenerDescripcionFormaPago(tFormaPago) }} </h6>
                          </td>
                          <td>
                            <h6 class="text-nowrap">{{ tFormaPago.Monto | currency : tEmpresaActual.Simbolo }} </h6>
                          </td>
                        </tr>
                      </tbody>
                    </table>
                  </div>
                </div>
              </div>
            </div>
            <div class="form-group col-12 col-lg-6">   
              <div class="form-row">
                <div class="form-group col-12">
                  <ul class="nav nav-tabs" role="tablist">
                    <li class="nav-item"><a class="nav-link active" data-toggle="tab" href="#Referencias" role="tab" aria-controls="Referencias" aria-selected="true" id="Referencias-tab">Referencias</a></li>
                    <li class="nav-item"><a class="nav-link" data-toggle="tab" href="#Tasa" role="tab" aria-controls="Tasa" aria-selected="true" id="Tasa-tab">Tasa</a></li>
                  </ul>
                </div>
              </div>
              <div class="form-row">
                <div class="form-group col-12">
                  <div class="tab-content" id="mvDatos">
                    <div class="tab-pane fade show active" role="tabpanel" aria-labelledby="Referencias-tab" id="Referencias">
                      <div class="form-row">
                        <div class="form-group col-12">
                          <label class="form-label h6">Referencia</label>
                          <div class="ControlInput">
                            <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-barcode"></i></span></div>
                            <label class="ControlInput--Label" size-label="sm">{{ tVentaFormaPagoRefActual.Referencia }}</label>
                          </div>
                        </div>
                      </div>
                    </div>
                    <div class="tab-pane fade" role="tabpanel" aria-labelledby="Tasa-tab" id="Tasa">
                      <div class="form-row">
                        <div class="form-group col-6">
                          <label class="form-label h6">Moneda Origen</label>
                          <div class="ControlInput">
                            <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-coins"></i></span></div>
                            <label class="ControlInput--Label" size-label="sm">{{ ObtenerFormaPagoOrigen() }} </label>
                          </div>
                        </div>
                        <div class="form-group col-6">
                          <label class="form-label h6">Moneda Destino</label>
                          <div class="ControlInput">
                            <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-coins"></i></span></div>
                            <label class="ControlInput--Label" size-label="sm">{{ ObtenerFormaPagoDestino() }} </label>
                          </div>
                        </div>
                      </div>
                      <div class="form-row">
                        <div class="form-group col-6">
                          <label class="form-label h6">Tasa de cambio</label>
                          <div class="ControlInput">
                            <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-dollar-sign"></i></span></div>
                            <label class="ControlInput--Label" size-label="sm">{{ ObtenerFormaPagoTasa() }}</label>
                          </div>
                        </div>
                        <div class="form-group col-6">
                          <label class="form-label h6">Monto</label>
                          <div class="ControlInput">
                            <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-coins"></i></span></div>
                            <label class="ControlInput--Label" size-label="sm">{{ tVentaFormaPagoTasaActual.Monto }}</label>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="form-row">
            <div class="form-group col-12 col-lg-3 offset-lg-3">
              <div class="card border-left-success shadow-sm">
                <div class="card-body">
                  <div class="row no-gutters align-items-center">
                    <div class="col mr-2">
                      <div class="text-xs font-weight-bold text-success mb-1">Total</div>
                      <div class="h5 mb-0 font-weight-bold text-gray-800">{{ tPedidoModal.Total | currency : tEmpresaActual.Simbolo  }}</div>
                    </div>
                    <div class="col-auto">
                      <div class="fas fa-coins fa-2x text-gray-300"></div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <div class="form-group col-12 col-lg-3">
              <div class="card border-left-primary shadow-sm">
                <div class="card-body">
                  <div class="row no-gutters align-items-center">
                    <div class="col mr-2">
                      <div class="text-xs font-weight-bold text-primary mb-1">Pagado</div>
                      <div class="h5 mb-0 font-weight-bold text-gray-800">{{ ObtenerTotalPagado() | currency : tEmpresaActual.Simbolo  }}</div>
                    </div>
                    <div class="col-auto">
                      <div class="fas fa-percent fa-2x text-gray-300"></div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <div class="form-group col-12 col-lg-3">
              <div class="card border-left-danger shadow-sm">
                <div class="card-body">
                  <div class="row no-gutters align-items-center">
                    <div class="col mr-2">
                      <div class="text-xs font-weight-bold text-danger mb-1">Vuelto</div>
                      <div class="h5 mb-0 font-weight-bold text-gray-800">{{ ObtenerVuelto() | currency : tEmpresaActual.Simbolo  }}</div>
                    </div>
                    <div class="col-auto">
                      <div class="fas fa-percent fa-2x text-gray-300"></div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="form-row" *ngIf="tFacturaCredito === true">
        <div class="form-group col-12">
          <div class="form-row">
            <div class="form-group col-12 col-lg-4 offset-lg-4">
              <div class="card border-left-success shadow-sm">
                <div class="card-body">
                  <div class="row no-gutters align-items-center">
                    <div class="col mr-2">
                      <div class="text-xs font-weight-bold text-success mb-1">Total</div>
                      <div class="h5 mb-0 font-weight-bold text-gray-800">{{ tPedidoModal.Total | currency : tEmpresaActual.Simbolo  }}</div>
                    </div>
                    <div class="col-auto">
                      <div class="fas fa-coins fa-2x text-gray-300"></div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <div class="form-group col-12 col-lg-4">
              <div class="card border-left-warning shadow-sm">
                <div class="card-body">
                  <div class="row no-gutters align-items-center">
                    <div class="col mr-2">
                      <div class="text-xs font-weight-bold text-warning mb-1">Credito disponible</div>
                      <div class="h5 mb-0 font-weight-bold text-gray-800">{{ tClienteModal.Limite_credito - tClienteModal.Credito_usado | currency : tEmpresaActual.Simbolo  }}</div>
                    </div>
                    <div class="col-auto">
                      <div class="fas fa-percent fa-2x text-gray-300"></div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
<div class="modal-footer">
  <button class="btn btn-secondary btn-icon-split ml-2" type="button" (click)="activeModal.close({'Resultado' : 'S'})"><span class="icon text-white-50"><i class="fas fa-times"></i></span><span class="text">Cerrar</span></button>
  <button class="btn btn-primary btn-icon-split ml-2" type="button" (click)="Facturar()"><span class="icon text-white-50"><i class="fas fa-times"></i></span><span class="text">Facturar</span></button>
</div>